<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

session_start();

// تحميل مكتبة PHPMailer
require './PHPMailer-master/src/Exception.php';
require './PHPMailer-master/src/PHPMailer.php';
require './PHPMailer-master/src/SMTP.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $name = htmlspecialchars($_POST['name']);
    $email = htmlspecialchars($_POST['email']); // البريد الذي يدخله المستخدم
    $phone = htmlspecialchars($_POST['phone']);
    $message = htmlspecialchars($_POST['message']);

    $mail = new PHPMailer(true);

    try {
        // إعدادات الخادم
        $mail->isSMTP();
        $mail->Host = 'mail.lamassu.co.uk'; // خادم SMTP الخاص ببريدك
        $mail->SMTPAuth = true;
        $mail->Username = 'admin@lamassu.co.uk'; // بريد المرسل
        $mail->Password = '3*NPsP{$Nr5i'; // كلمة مرور بريد المرسل
        $mail->SMTPSecure = "ssl"; // نوع التشفير
        $mail->Port = 465; // المنفذ الصحيح

        // إعدادات المرسل والمستلم
        $mail->setFrom('admin@lamassu.co.uk', 'Website Contact Form'); // بريد المرسل
        $mail->addAddress('admin@lamassu.co.uk', 'Recipient Name'); // بريد المستلم (نفس بريدك)
        $mail->addReplyTo($email, $name); // يتيح لك الرد مباشرة على بريد المستخدم

        // إعدادات المحتوى
        $mail->isHTML(true);
        $mail->Subject = "New Contact Form Submission";
        $mail->Body    = "
            <h3>New Contact Form Submission</h3>
            <p><strong>Name:</strong> $name</p>
            <p><strong>Email:</strong> $email</p>
            <p><strong>Phone:</strong> $phone</p>
            <p><strong>Message:</strong> $message</p>
        ";

        // إرسال البريد
        if ($mail->send()) {
            $_SESSION['status'] = 'success';
            echo "Message has been sent successfully!";
        } else {
            $_SESSION['status'] = 'fail';
        }
    } catch (Exception $e) {
        $_SESSION['status'] = 'fail';
        echo "Error: " . $e->getMessage();  // عرض رسالة الخطأ التفصيلية
    }
    header("Location: index.php");
    exit();
}
?>
